
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was airrac-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/airrac" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

#
# Config file for the AirRAC package. It defines the following variables:
#  AIRRAC_VERSION      - version of AirRAC
#  AIRRAC_BINARY_DIRS  - binary directories for AirRAC
#  AIRRAC_INCLUDE_DIRS - include directories for AirRAC
#  AIRRAC_LIBRARY_DIRS - library directories for AirRAC (normally not used!)
#  AIRRAC_LIBRARIES    - libraries to link against
#  AIRRAC_EXECUTABLES  - the AirRAC binaries/executables

# Tell the user project where to find AirRAC headers and libraries
set (AIRRAC_VERSION "1.00.12")
set (AIRRAC_BINARY_DIRS "${PACKAGE_PREFIX_DIR}/bin")
set (AIRRAC_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set (AIRRAC_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib64")

# Library dependencies for AirRAC (contains definitions for the AirRAC IMPORTED
# targets)
include ("${CMAKE_CURRENT_LIST_DIR}/airrac-library-depends.cmake")

# These are the AirRAC IMPORTED targets, created by airrac-library-depends.cmake
set (AIRRAC_LIBRARIES airraclib)
set (AIRRAC_EXECUTABLES airrac)
